curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/scenarios/runs/{run_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"cost_summary": {},
"error_message": "<string>",
"turn_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_index": 123,
"stopped_early": true,
"passed": true,
"response_content": "<string>",
"criteria_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "PASS",
"critique": "<string>",
"evidence": "<string>",
"input_tokens": 123,
"output_tokens": 123
}
]
}
]
}Get detailed results for a scenario run.
curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/scenarios/runs/{run_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"cost_summary": {},
"error_message": "<string>",
"turn_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turn_index": 123,
"stopped_early": true,
"passed": true,
"response_content": "<string>",
"criteria_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criteria_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "PASS",
"critique": "<string>",
"evidence": "<string>",
"input_tokens": 123,
"output_tokens": 123
}
]
}
]
}Platform token (starts with pat_)
Successful Response
Schema for reading a scenario run.
Status of a scenario run.
pending, running, passed, failed, error Show child attributes